| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteAnnotationType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteAnnotationType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteAnnotationType ()
| Default constructor.
eProsima_user_DllExport | ~CompleteAnnotationType ()
| Default destructor.
eProsima_user_DllExport | CompleteAnnotationType (const CompleteAnnotationType &x)
| Copy constructor.
eProsima_user_DllExport | CompleteAnnotationType (CompleteAnnotationType &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteAnnotationType & | operator= (const CompleteAnnotationType &x)
| Copy assignment.
eProsima_user_DllExport CompleteAnnotationType & | operator= (CompleteAnnotationType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteAnnotationType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteAnnotationType &x) const
| Comparison operator.
eProsima_user_DllExport void | annotation_flag (const AnnotationTypeFlag &_annotation_flag)
| This function copies the value in member annotation_flag.
eProsima_user_DllExport void | annotation_flag (AnnotationTypeFlag &&_annotation_flag)
| This function moves the value in member annotation_flag.
eProsima_user_DllExport const AnnotationTypeFlag & | annotation_flag () const
| This function returns a constant reference to member annotation_flag.
eProsima_user_DllExport AnnotationTypeFlag & | annotation_flag ()
| This function returns a reference to member annotation_flag.
eProsima_user_DllExport void | header (const CompleteAnnotationHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (CompleteAnnotationHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const CompleteAnnotationHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport CompleteAnnotationHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | member_seq (const CompleteAnnotationParameterSeq &_member_seq)
| This function copies the value in member member_seq.
eProsima_user_DllExport void | member_seq (CompleteAnnotationParameterSeq &&_member_seq)
| This function moves the value in member member_seq.
eProsima_user_DllExport const CompleteAnnotationParameterSeq & | member_seq () const
| This function returns a constant reference to member member_seq.
eProsima_user_DllExport CompleteAnnotationParameterSeq & | member_seq ()
| This function returns a reference to member member_seq.

## Detailed Description

This class represents the structure CompleteAnnotationType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteAnnotationType() [1/3]

eProsima_user_DllExport CompleteAnnotationType | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteAnnotationType()

eProsima_user_DllExport ~CompleteAnnotationType | ( |  | ) |

inline

Default destructor.

## ◆ CompleteAnnotationType() [2/3]

eProsima_user_DllExport CompleteAnnotationType | ( | const CompleteAnnotationType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteAnnotationType that will be copied.

## ◆ CompleteAnnotationType() [3/3]

eProsima_user_DllExport CompleteAnnotationType | ( | CompleteAnnotationType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteAnnotationType that will be copied.

## Member Function Documentation

## ◆ annotation_flag() [1/4]

eProsima_user_DllExport AnnotationTypeFlag & annotation_flag | ( |  | ) |

inline

This function returns a reference to member annotation_flag.

Returns
  Reference to member annotation_flag

## ◆ annotation_flag() [2/4]

eProsima_user_DllExport const AnnotationTypeFlag & annotation_flag | ( |  | ) | const

inline

This function returns a constant reference to member annotation_flag.

Returns
  Constant reference to member annotation_flag

## ◆ annotation_flag() [3/4]

eProsima_user_DllExport void annotation_flag | ( | AnnotationTypeFlag && | _annotation_flag | ) |

inline

This function moves the value in member annotation_flag.

Parameters

  _annotation_flag | New value to be moved in member annotation_flag

## ◆ annotation_flag() [4/4]

eProsima_user_DllExport void annotation_flag | ( | const AnnotationTypeFlag & | _annotation_flag | ) |

inline

This function copies the value in member annotation_flag.

Parameters

  _annotation_flag | New value to be copied in member annotation_flag

## ◆ header() [1/4]

eProsima_user_DllExport CompleteAnnotationHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const CompleteAnnotationHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | CompleteAnnotationHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | const CompleteAnnotationHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ member_seq() [1/4]

eProsima_user_DllExport CompleteAnnotationParameterSeq & member_seq | ( |  | ) |

inline

This function returns a reference to member member_seq.

Returns
  Reference to member member_seq

## ◆ member_seq() [2/4]

eProsima_user_DllExport const CompleteAnnotationParameterSeq & member_seq | ( |  | ) | const

inline

This function returns a constant reference to member member_seq.

Returns
  Constant reference to member member_seq

## ◆ member_seq() [3/4]

eProsima_user_DllExport void member_seq | ( | CompleteAnnotationParameterSeq && | _member_seq | ) |

inline

This function moves the value in member member_seq.

Parameters

  _member_seq | New value to be moved in member member_seq

## ◆ member_seq() [4/4]

eProsima_user_DllExport void member_seq | ( | const CompleteAnnotationParameterSeq & | _member_seq | ) |

inline

This function copies the value in member member_seq.

Parameters

  _member_seq | New value to be copied in member member_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteAnnotationType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAnnotationType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteAnnotationType & operator= | ( | CompleteAnnotationType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteAnnotationType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteAnnotationType & operator= | ( | const CompleteAnnotationType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteAnnotationType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteAnnotationType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAnnotationType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp